%define major 21
%define libname %mklibname hd %major
%define develname %mklibname -d hd

Name:           hwinfo
License:        GPLv2+
Group:          System/Kernel and hardware
Summary:        Hardware Library
Version:        21.23
Release:        %mkrel 1
Source:         %{name}-%{version}.tar.xz
URL:		http://software.opensuse.org
BuildRequires:	doxygen
BuildRequires:	flex
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-XML-Writer
BuildRequires:	udev
BuildRequires:	git
%ifarch %{ix86} x86_64
BuildRequires:	%{_lib}x86emu-devel
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	libhd13
Obsoletes: 	%{name} < %version

%description
A simple program that lists results from the hardware detection
library.

%package devel
Summary:        Hardware Detection Library
Group:          Development/Libraries
Requires:       %name = %version-%release
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libhd-devel = %{version}-%{release}
Obsoletes:	libhd-devel < %{version}-%{release}

%description devel
This library collects information about the hardware installed on a
system.

%prep
%setup -q

echo  %{version} > VERSION

%build
make LIBDIR=%{_libdir} RPM_OPT_FLAGS="%{optflags}"
make doc

%install
%makeinstall_std LIBDIR=%{_libdir}

install -d -m 755 %{buildroot}%{_mandir}/man8
install -m 644 doc/hwinfo.8 %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_var}/lib/hardware/udi

%clean 
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc README.md README-hwprobe.md README-legacy.md
%{_sbindir}/hwinfo
%{_sbindir}/mk_isdnhwdb
%{_sbindir}/getsysinfo
%{_mandir}/man8/*
%dir %{_localstatedir}/lib/hardware
%dir %{_localstatedir}/lib/hardware/udi
%dir %{_datadir}/hwinfo
%{_datadir}/hwinfo/*
%{_libdir}/libhd.so.%{major}*

%files devel
%defattr(-,root,root)
%doc doc/libhd/html
%{_sbindir}/check_hd
%{_sbindir}/convert_hd
%{_libdir}/libhd.so
%{_libdir}/pkgconfig/hwinfo.pc
%{_includedir}/hd.h


%changelog
* Tue Oct 04 2016 adrianomorselli <adrianomorselli> 21.23-1uplos2015
- rebuild

* Thu Jan 28 2016 bb <bb> 21.23-1pclos2015
- update

* Wed Sep 03 2014 bb <bb> 21.6-1pclos2014
- update

* Sat Jun 21 2014 ghostbunny <ghostbunny at gmx dot de> 21.5-1pclos2014
- 21.5

